Page MenuHomeFreeBSD

Add a license qa check to tell porters when their ports will be mostly useless.
ClosedPublic

Authored by mat on Jul 2 2018, 8:37 PM.

Details

Summary

Also, start a debug-license target.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat retitled this revision from Start a debug-license target. to Add a license qa check to tell porters when their ports will be mostly useless..Jul 2 2018, 8:38 PM
mat edited the summary of this revision. (Show Details)
antoine added inline comments.
Mk/Scripts/qa.sh
931 ↗(On Diff #44774)

depending/dependent ?

934 ↗(On Diff #44774)

depending/dependent ?

Mk/Scripts/qa.sh
931 ↗(On Diff #44774)

Not sure what the sentence would look like.

License is not auto-accepted, packages will not be built, dependent ports will be ignored

?

mat marked 3 inline comments as done.Jul 16 2018, 9:24 PM
  • reverse the warning, it's the ports depending on this one, not the
This revision was not accepted when it landed; it landed in state Needs Review.Jul 18 2018, 11:13 AM
This revision was automatically updated to reflect the committed changes.